<template>
  <header>
    <nav class="relative w-full flex flex-wrap items-center justify-between py-3 bg-gray-900 text-gray-100 shadow-md">
      <div class="container-fluid w-full flex flex-wrap items-center justify-between px-6">
        <SingularityLogo style="width: 56px; height: 56px" />
        <span class="text-4xl font-bold text-center ml-2">Singularity</span>
        <div class="flex-grow" />
        <a :href="windowOrigin + '/api'" target="_blank" class="text-lg font-bold text-center ml-2 hover:underline">{{
          `${windowOrigin}/api` }}</a>
        <div class="flex-grow" />
        <RouterLink :to="{ name: 'jobs' }">
          <div class="flex items-center hover:bg-gray-600 bg-gray-700 mr-4 px-4 py-2 rounded">
            <svg style="width: 20px; height: 20px" viewBox="0 0 24 24" class="mr-2">
              <path fill="currentColor"
                d="M7,5H21V7H7V5M7,13V11H21V13H7M4,4.5A1.5,1.5 0 0,1 5.5,6A1.5,1.5 0 0,1 4,7.5A1.5,1.5 0 0,1 2.5,6A1.5,1.5 0 0,1 4,4.5M4,10.5A1.5,1.5 0 0,1 5.5,12A1.5,1.5 0 0,1 4,13.5A1.5,1.5 0 0,1 2.5,12A1.5,1.5 0 0,1 4,10.5M7,19V17H21V19H7M4,16.5A1.5,1.5 0 0,1 5.5,18A1.5,1.5 0 0,1 4,19.5A1.5,1.5 0 0,1 2.5,18A1.5,1.5 0 0,1 4,16.5Z" />
            </svg>
            Jobs
          </div>
        </RouterLink>
        <RouterLink :to="{ name: 'nodes' }">
          <div class="flex items-center hover:bg-gray-600 bg-gray-700 mr-4 px-4 py-2 rounded">
            <svg style="width: 20px; height: 20px" viewBox="0 0 24 24" class="mr-2">
              <path fill="currentColor"
                d="M7,5H21V7H7V5M7,13V11H21V13H7M4,4.5A1.5,1.5 0 0,1 5.5,6A1.5,1.5 0 0,1 4,7.5A1.5,1.5 0 0,1 2.5,6A1.5,1.5 0 0,1 4,4.5M4,10.5A1.5,1.5 0 0,1 5.5,12A1.5,1.5 0 0,1 4,13.5A1.5,1.5 0 0,1 2.5,12A1.5,1.5 0 0,1 4,10.5M7,19V17H21V19H7M4,16.5A1.5,1.5 0 0,1 5.5,18A1.5,1.5 0 0,1 4,19.5A1.5,1.5 0 0,1 2.5,18A1.5,1.5 0 0,1 4,16.5Z" />
            </svg>
            Nodes
          </div>
        </RouterLink>
        <RouterLink :to="{ name: 'modules' }">
          <div class="flex items-center hover:bg-gray-600 bg-gray-700 mr-4 px-4 py-2 rounded">
            <svg style="width: 20px; height: 20px" viewBox="0 0 24 24" class="mr-2">
              <path fill="currentColor"
                d="M20 21H4V10H6V19H18V10H20V21M3 3H21V9H3V3M9.5 11H14.5C14.78 11 15 11.22 15 11.5V13H9V11.5C9 11.22 9.22 11 9.5 11M5 5V7H19V5H5Z" />
            </svg>
            Modules
          </div>
        </RouterLink>
        <RouterLink :to="{ name: 'submit' }">
          <div class="flex items-center hover:bg-blue-600 bg-blue-700 mr-4 px-4 py-2 rounded">
            <svg style="width: 24px; height: 24px" viewBox="0 0 24 24">
              <path fill="currentColor" d="M19,13H13V19H11V13H5V11H11V5H13V11H19V13Z" />
            </svg>
            Submit
          </div>
        </RouterLink>
      </div>
    </nav>
  </header>
</template>

<script lang="ts" setup>
import { computed } from "vue";
import { RouterLink } from "vue-router";
import SingularityLogo from "../widgets/SingularityLogo.vue";

const windowOrigin = computed(() => window.origin);
</script>
